/*******************************************************************************
 *	BdsDataFileSac.h	Data File Access
 *			T.Barnaby,	BEAM Ltd,	2010-09-15
 *******************************************************************************
 */
#ifndef BdsDataFileSac_H
#define	BdsDataFileSac_H

#include <BdsDataFile.h>
#include <BdsD.h>

namespace Bds {

class DataFileSac : public DataFile {
public:
				DataFileSac();

	int			getFeatures();

	BError			setInfo(DataInfo& dataInfo, ChannelInfos& channelInfos, WriteOptionsList options = WriteOptionNone);

	static DataFormat	getFormats();
private:
	BError			writeResponses();

	DataInfo		odataInfo;
	ChannelInfos		ochannelInfos;
};

}
#endif
