/*******************************************************************************
 *	BdsDataFileBknas.h	Data File Access
 *			T.Barnaby,	BEAM Ltd,	2008-06-24
 *******************************************************************************
 */
#ifndef BdsDataFileBknas_H
#define	BdsDataFileBknas_H

#include <BdsDataFile.h>
#include <BdsD.h>

namespace Bds {

class DataFileBknas : public DataFile {
public:
				DataFileBknas();

	BError			open(BString fileName, BString mode);

	BError			setInfo(DataInfo& dataInfo, ChannelInfos& channelInfos, WriteOptionsList options = WriteOptionSensorData);
	BError			writeData(DataBlock& data);

	static DataFormat	getFormats();

private:
	DataInfo		odataInfo;
	ChannelInfos		ochannelInfos;
};

}
#endif
