/*******************************************************************************
 *	BComms.h	BComms class
 *	T.Barnaby,	Beam Ltd,	2012-11-12
 *	Copyright (c) 2012 All Right Reserved, Beam Ltd, http://www.beam.ltd.uk
 *******************************************************************************
 */
#ifndef BComms_h
#define BComms_h

#include <BTypes.h>
#include <BError.h>

class BComms;

class BComms {
public:
				BComms();
	virtual 		~BComms();

	virtual BError		init();

	virtual BUInt		writeAvailable();
	virtual BError		write(const void* data, BUInt32 nBytes, BUInt32& nTrans) = 0;

	virtual BUInt		readAvailable();
	virtual BError		read(void* data, BUInt32 num, BUInt32& nTrans) = 0;

	virtual BError		readWait(BUInt32 num = 1, BUInt32 timeout = 0);

private:
};
#endif
