/*******************************************************************************
 *	BFileCsv.h	BEAM CSV access class
 *			T.Barnaby,	BEAM Ltd,	2012-01-10
 *******************************************************************************
 */
#ifndef BFile_H
#define BFile_H	1

#include	<BFile.h>

class BFileCsv : public BFile {
public:
		BFileCsv(char separator = ';');

	BError	readCsv(BStringList& csvList);
	BError	writeCsv(BStringList& csvList);
private:
	char	oseparator;
};

#endif
