/*******************************************************************************
 *	BFileData.h	BEAM Data access class
 *			T.Barnaby,	BEAM Ltd,	2012-01-10
 *******************************************************************************
 */
#ifndef BFileData_H
#define BFileData_H	1

#include	<BError.h>

class BFileData : public BList<BStringList> {
public:
	BError	open(BString filename);

	BError	getNextId(int& id);
	BError	find(int id, BStringList& csvList);
	BError	write(int id, BStringList& csvList);
	BError	del(int id);

private:
	BError	read();
	BError	write();
	BString	ofilename;
};

#endif
