/*******************************************************************************
 *	BHtml		HTML Generation classes
 *			T.Barnaby,	BEAM Ltd,	2006-09-03
 *******************************************************************************
 */

#include <BString.h>
#include <BList.h>

#ifndef BHtml_H
#define BHtml_H 1

class BHtml {
public:
			BHtml(BString tag = "", BString args = "", BString text = "");
			~BHtml();
			
	BHtml*		append(BHtml node);
	BHtml*		append(BString tag = "", BString args = "", BString text = "");
	BHtml*		appendText(BString text);
	
	BHtml*		appendFormField(BString name, BString title, BString type, BString param, BString value, BString arg = "", int submit = 0);
	void		appendFormItem(BString name, BString title, BString type, BString param, BString value);
	
	BString		render();

private:
	BString		tag;
	BString		args;
	BList<BHtml>	nodes;
};
#endif
